diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/bs-uplink-scheduler-mbqos.cc ns-3.40/src/wimax/model/bs-uplink-scheduler-mbqos.cc
--- ns-3.39/src/wimax/model/bs-uplink-scheduler-mbqos.cc	2023-07-05 14:23:48.133428300 -0700
+++ ns-3.40/src/wimax/model/bs-uplink-scheduler-mbqos.cc	2023-09-27 13:30:37.926839800 -0700
@@ -175,17 +175,14 @@
     std::vector<SSRecord*>* ssRecords = GetBs()->GetSSManager()->GetSSRecords();
 
     // For each SS
-    for (std::vector<SSRecord*>::iterator iter = ssRecords->begin(); iter != ssRecords->end();
-         ++iter)
+    for (auto iter = ssRecords->begin(); iter != ssRecords->end(); ++iter)
     {
         SSRecord* ssRecord = *iter;
         std::vector<ServiceFlow*> serviceFlows =
             ssRecord->GetServiceFlows(ServiceFlow::SF_TYPE_ALL);
 
         // For each flow
-        for (std::vector<ServiceFlow*>::iterator iter2 = serviceFlows.begin();
-             iter2 != serviceFlows.end();
-             ++iter2)
+        for (auto iter2 = serviceFlows.begin(); iter2 != serviceFlows.end(); ++iter2)
         {
             ServiceFlow* serviceFlow = *iter2;
             if ((serviceFlow->GetSchedulingType() == ServiceFlow::SF_TYPE_RTPS) ||
@@ -235,8 +232,7 @@
     AllocateInitialRangingInterval(symbolsToAllocation, availableSymbols);
 
     std::vector<SSRecord*>* ssRecords = GetBs()->GetSSManager()->GetSSRecords();
-    for (std::vector<SSRecord*>::iterator iter = ssRecords->begin(); iter != ssRecords->end();
-         ++iter)
+    for (auto iter = ssRecords->begin(); iter != ssRecords->end(); ++iter)
     {
         SSRecord* ssRecord = *iter;
 
@@ -575,7 +571,7 @@
 UplinkSchedulerMBQoS::CountSymbolsQueue(std::list<Ptr<UlJob>> jobs)
 {
     uint32_t symbols = 0;
-    for (std::list<Ptr<UlJob>>::iterator iter = jobs.begin(); iter != jobs.end(); ++iter)
+    for (auto iter = jobs.begin(); iter != jobs.end(); ++iter)
     {
         Ptr<UlJob> job = *iter;
 
@@ -683,7 +679,7 @@
     // for each request in the intermediate queue
     if (!m_uplinkJobs_inter.empty())
     {
-        std::list<Ptr<UlJob>>::iterator iter = m_uplinkJobs_inter.begin();
+        auto iter = m_uplinkJobs_inter.begin();
 
         while (iter != m_uplinkJobs_inter.end() && availableSymbols)
         {
@@ -776,15 +772,12 @@
 
     // For each connection of type rtPS or nrtPS
     std::vector<SSRecord*>* ssRecords = GetBs()->GetSSManager()->GetSSRecords();
-    for (std::vector<SSRecord*>::iterator iter = ssRecords->begin(); iter != ssRecords->end();
-         ++iter)
+    for (auto iter = ssRecords->begin(); iter != ssRecords->end(); ++iter)
     {
         SSRecord* ssRecord = *iter;
         std::vector<ServiceFlow*> serviceFlows =
             ssRecord->GetServiceFlows(ServiceFlow::SF_TYPE_ALL);
-        for (std::vector<ServiceFlow*>::iterator iter2 = serviceFlows.begin();
-             iter2 != serviceFlows.end();
-             ++iter2)
+        for (auto iter2 = serviceFlows.begin(); iter2 != serviceFlows.end(); ++iter2)
         {
             ServiceFlow* serviceFlow = *iter2;
             if (serviceFlow->GetSchedulingType() == ServiceFlow::SF_TYPE_RTPS ||
@@ -799,9 +792,7 @@
     }
 
     // for each request in the imermediate queue
-    for (std::list<Ptr<UlJob>>::const_iterator iter = m_uplinkJobs_inter.begin();
-         iter != m_uplinkJobs_inter.end();
-         ++iter)
+    for (auto iter = m_uplinkJobs_inter.begin(); iter != m_uplinkJobs_inter.end(); ++iter)
     {
         Ptr<UlJob> job = *iter;
         // SSRecord ssRecord = job->GetSsRecord();
@@ -850,9 +841,7 @@
 
     priorityUlJobs.sort(SortProcessPtr());
 
-    for (std::list<Ptr<PriorityUlJob>>::const_iterator iter = priorityUlJobs.begin();
-         iter != priorityUlJobs.end();
-         ++iter)
+    for (auto iter = priorityUlJobs.begin(); iter != priorityUlJobs.end(); ++iter)
     {
         Ptr<PriorityUlJob> priorityUlJob = *iter;
         Ptr<UlJob> job_priority = priorityUlJob->GetUlJob();
@@ -879,9 +868,7 @@
     uint8_t uiuc = ulMapIe.GetUiuc(); // SS's burst profile
     std::vector<ServiceFlow*> serviceFlows = ssRecord->GetServiceFlows(schedulingType);
 
-    for (std::vector<ServiceFlow*>::iterator iter = serviceFlows.begin();
-         iter != serviceFlows.end();
-         ++iter)
+    for (auto iter = serviceFlows.begin(); iter != serviceFlows.end(); ++iter)
     {
         ServiceFlow* serviceFlow = *iter;
 
@@ -945,9 +932,7 @@
 {
     std::vector<ServiceFlow*> serviceFlows = ssRecord->GetServiceFlows(schedulingType);
 
-    for (std::vector<ServiceFlow*>::iterator iter = serviceFlows.begin();
-         iter != serviceFlows.end();
-         ++iter)
+    for (auto iter = serviceFlows.begin(); iter != serviceFlows.end(); ++iter)
     {
         if (!ServiceBandwidthRequests(*iter,
                                       schedulingType,
@@ -1127,9 +1112,7 @@
     std::list<Ptr<PriorityUlJob>> priorityUlJobs;
 
     // for each request in the imermediate queue
-    for (std::list<Ptr<UlJob>>::const_iterator iter = m_uplinkJobs_inter.begin();
-         iter != m_uplinkJobs_inter.end();
-         ++iter)
+    for (auto iter = m_uplinkJobs_inter.begin(); iter != m_uplinkJobs_inter.end(); ++iter)
     {
         Ptr<UlJob> job = *iter;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/bs-uplink-scheduler-rtps.cc ns-3.40/src/wimax/model/bs-uplink-scheduler-rtps.cc
--- ns-3.39/src/wimax/model/bs-uplink-scheduler-rtps.cc	2023-07-05 14:23:48.133428300 -0700
+++ ns-3.40/src/wimax/model/bs-uplink-scheduler-rtps.cc	2023-09-27 13:30:37.930839800 -0700
@@ -183,8 +183,7 @@
     std::vector<SSRecord*>* ssRecords = GetBs()->GetSSManager()->GetSSRecords();
     NS_LOG_INFO("UL Scheduler start, availableSymbols = " << availableSymbols);
 
-    for (std::vector<SSRecord*>::iterator iter = ssRecords->begin(); iter != ssRecords->end();
-         ++iter)
+    for (auto iter = ssRecords->begin(); iter != ssRecords->end(); ++iter)
     {
         SSRecord* ssRecord = *iter;
         if (ssRecord->GetIsBroadcastSS())
@@ -305,8 +304,7 @@
     // UL Scheduler for nrtPS and BE flows
     if (availableSymbols)
     {
-        for (std::vector<SSRecord*>::iterator iter = ssRecords->begin(); iter != ssRecords->end();
-             ++iter)
+        for (auto iter = ssRecords->begin(); iter != ssRecords->end(); ++iter)
         {
             SSRecord* ssRecord = *iter;
             if (ssRecord->GetIsBroadcastSS())
@@ -371,9 +369,7 @@
     uint8_t uiuc = ulMapIe.GetUiuc(); // SS's burst profile
     std::vector<ServiceFlow*> serviceFlows = ssRecord->GetServiceFlows(schedulingType);
 
-    for (std::vector<ServiceFlow*>::iterator iter = serviceFlows.begin();
-         iter != serviceFlows.end();
-         ++iter)
+    for (auto iter = serviceFlows.begin(); iter != serviceFlows.end(); ++iter)
     {
         ServiceFlow* serviceFlow = *iter;
 
@@ -458,9 +454,7 @@
 {
     std::vector<ServiceFlow*> serviceFlows = ssRecord->GetServiceFlows(schedulingType);
 
-    for (std::vector<ServiceFlow*>::iterator iter = serviceFlows.begin();
-         iter != serviceFlows.end();
-         ++iter)
+    for (auto iter = serviceFlows.begin(); iter != serviceFlows.end(); ++iter)
     {
         if (!ServiceBandwidthRequests(*iter,
                                       schedulingType,
@@ -550,8 +544,7 @@
     Cid cid;
     std::vector<SSRecord*>* ssRecords = GetBs()->GetSSManager()->GetSSRecords();
 
-    for (std::vector<SSRecord*>::iterator iter = ssRecords->begin(); iter != ssRecords->end();
-         ++iter)
+    for (auto iter = ssRecords->begin(); iter != ssRecords->end(); ++iter)
     {
         SSRecord* ssRecord = *iter;
         if (ssRecord->GetIsBroadcastSS())
@@ -571,9 +564,7 @@
 
             std::vector<ServiceFlow*> serviceFlows =
                 ssRecord->GetServiceFlows(ServiceFlow::SF_TYPE_RTPS);
-            for (std::vector<ServiceFlow*>::iterator iter2 = serviceFlows.begin();
-                 iter2 != serviceFlows.end();
-                 ++iter2)
+            for (auto iter2 = serviceFlows.begin(); iter2 != serviceFlows.end(); ++iter2)
             {
                 record_[nbAllocation] = (*iter2)->GetRecord();
                 uint32_t requiredBandwidth = record_[nbAllocation]->GetRequestedBandwidth() -
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/bs-uplink-scheduler-simple.cc ns-3.40/src/wimax/model/bs-uplink-scheduler-simple.cc
--- ns-3.39/src/wimax/model/bs-uplink-scheduler-simple.cc	2023-07-05 14:23:48.133428300 -0700
+++ ns-3.40/src/wimax/model/bs-uplink-scheduler-simple.cc	2023-09-27 13:30:37.930839800 -0700
@@ -182,8 +182,7 @@
     AllocateInitialRangingInterval(symbolsToAllocation, availableSymbols);
 
     std::vector<SSRecord*>* ssRecords = GetBs()->GetSSManager()->GetSSRecords();
-    for (std::vector<SSRecord*>::iterator iter = ssRecords->begin(); iter != ssRecords->end();
-         ++iter)
+    for (auto iter = ssRecords->begin(); iter != ssRecords->end(); ++iter)
     {
         SSRecord* ssRecord = *iter;
 
@@ -350,9 +349,7 @@
     uint8_t uiuc = ulMapIe.GetUiuc(); // SS's burst profile
     std::vector<ServiceFlow*> serviceFlows = ssRecord->GetServiceFlows(schedulingType);
 
-    for (std::vector<ServiceFlow*>::iterator iter = serviceFlows.begin();
-         iter != serviceFlows.end();
-         ++iter)
+    for (auto iter = serviceFlows.begin(); iter != serviceFlows.end(); ++iter)
     {
         ServiceFlow* serviceFlow = *iter;
 
@@ -423,9 +420,7 @@
 {
     std::vector<ServiceFlow*> serviceFlows = ssRecord->GetServiceFlows(schedulingType);
 
-    for (std::vector<ServiceFlow*>::iterator iter = serviceFlows.begin();
-         iter != serviceFlows.end();
-         ++iter)
+    for (auto iter = serviceFlows.begin(); iter != serviceFlows.end(); ++iter)
     {
         if (!ServiceBandwidthRequests(*iter,
                                       schedulingType,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/burst-profile-manager.cc ns-3.40/src/wimax/model/burst-profile-manager.cc
--- ns-3.39/src/wimax/model/burst-profile-manager.cc	2023-07-05 14:23:48.133428300 -0700
+++ ns-3.40/src/wimax/model/burst-profile-manager.cc	2023-09-27 13:30:37.930839800 -0700
@@ -76,9 +76,7 @@
     {
         std::vector<OfdmDlBurstProfile> dlBurstProfiles =
             m_device->GetCurrentDcd().GetDlBurstProfiles();
-        for (std::vector<OfdmDlBurstProfile>::iterator iter = dlBurstProfiles.begin();
-             iter != dlBurstProfiles.end();
-             ++iter)
+        for (auto iter = dlBurstProfiles.begin(); iter != dlBurstProfiles.end(); ++iter)
         {
             if (iter->GetDiuc() == iuc)
             {
@@ -90,9 +88,7 @@
     {
         std::vector<OfdmUlBurstProfile> ulBurstProfiles =
             m_device->GetCurrentUcd().GetUlBurstProfiles();
-        for (std::vector<OfdmUlBurstProfile>::iterator iter = ulBurstProfiles.begin();
-             iter != ulBurstProfiles.end();
-             ++iter)
+        for (auto iter = ulBurstProfiles.begin(); iter != ulBurstProfiles.end(); ++iter)
         {
             if (iter->GetUiuc() == iuc)
             {
@@ -115,9 +111,7 @@
     {
         std::vector<OfdmDlBurstProfile> dlBurstProfiles =
             m_device->GetCurrentDcd().GetDlBurstProfiles();
-        for (std::vector<OfdmDlBurstProfile>::iterator iter = dlBurstProfiles.begin();
-             iter != dlBurstProfiles.end();
-             ++iter)
+        for (auto iter = dlBurstProfiles.begin(); iter != dlBurstProfiles.end(); ++iter)
         {
             if (iter->GetFecCodeType() == modulationType)
             {
@@ -129,9 +123,7 @@
     {
         std::vector<OfdmUlBurstProfile> ulBurstProfiles =
             m_device->GetCurrentUcd().GetUlBurstProfiles();
-        for (std::vector<OfdmUlBurstProfile>::iterator iter = ulBurstProfiles.begin();
-             iter != ulBurstProfiles.end();
-             ++iter)
+        for (auto iter = ulBurstProfiles.begin(); iter != ulBurstProfiles.end(); ++iter)
         {
             if (iter->GetFecCodeType() == modulationType)
             {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/connection-manager.cc ns-3.40/src/wimax/model/connection-manager.cc
--- ns-3.39/src/wimax/model/connection-manager.cc	2023-07-05 14:23:48.133428300 -0700
+++ ns-3.40/src/wimax/model/connection-manager.cc	2023-09-27 13:30:37.930839800 -0700
@@ -128,9 +128,7 @@
 Ptr<WimaxConnection>
 ConnectionManager::GetConnection(Cid cid)
 {
-    std::vector<Ptr<WimaxConnection>>::const_iterator iter;
-
-    for (iter = m_basicConnections.begin(); iter != m_basicConnections.end(); ++iter)
+    for (auto iter = m_basicConnections.begin(); iter != m_basicConnections.end(); ++iter)
     {
         if ((*iter)->GetCid() == cid)
         {
@@ -138,7 +136,7 @@
         }
     }
 
-    for (iter = m_primaryConnections.begin(); iter != m_primaryConnections.end(); ++iter)
+    for (auto iter = m_primaryConnections.begin(); iter != m_primaryConnections.end(); ++iter)
     {
         if ((*iter)->GetCid() == cid)
         {
@@ -146,7 +144,7 @@
         }
     }
 
-    for (iter = m_transportConnections.begin(); iter != m_transportConnections.end(); ++iter)
+    for (auto iter = m_transportConnections.begin(); iter != m_transportConnections.end(); ++iter)
     {
         if ((*iter)->GetCid() == cid)
         {
@@ -189,27 +187,21 @@
     switch (type)
     {
     case Cid::BASIC: {
-        for (std::vector<Ptr<WimaxConnection>>::const_iterator iter = m_basicConnections.begin();
-             iter != m_basicConnections.end();
-             ++iter)
+        for (auto iter = m_basicConnections.begin(); iter != m_basicConnections.end(); ++iter)
         {
             nrPackets += (*iter)->GetQueue()->GetSize();
         }
         break;
     }
     case Cid::PRIMARY: {
-        for (std::vector<Ptr<WimaxConnection>>::const_iterator iter = m_primaryConnections.begin();
-             iter != m_primaryConnections.end();
-             ++iter)
+        for (auto iter = m_primaryConnections.begin(); iter != m_primaryConnections.end(); ++iter)
         {
             nrPackets += (*iter)->GetQueue()->GetSize();
         }
         break;
     }
     case Cid::TRANSPORT: {
-        for (std::vector<Ptr<WimaxConnection>>::const_iterator iter =
-                 m_transportConnections.begin();
-             iter != m_transportConnections.end();
+        for (auto iter = m_transportConnections.begin(); iter != m_transportConnections.end();
              ++iter)
         {
             if (schedulingType == ServiceFlow::SF_TYPE_ALL ||
@@ -231,8 +223,7 @@
 bool
 ConnectionManager::HasPackets() const
 {
-    std::vector<Ptr<WimaxConnection>>::const_iterator iter;
-    for (iter = m_basicConnections.begin(); iter != m_basicConnections.end(); ++iter)
+    for (auto iter = m_basicConnections.begin(); iter != m_basicConnections.end(); ++iter)
     {
         if ((*iter)->HasPackets())
         {
@@ -240,7 +231,7 @@
         }
     }
 
-    for (iter = m_primaryConnections.begin(); iter != m_primaryConnections.end(); ++iter)
+    for (auto iter = m_primaryConnections.begin(); iter != m_primaryConnections.end(); ++iter)
     {
         if ((*iter)->HasPackets())
         {
@@ -248,7 +239,7 @@
         }
     }
 
-    for (iter = m_transportConnections.begin(); iter != m_transportConnections.end(); ++iter)
+    for (auto iter = m_transportConnections.begin(); iter != m_transportConnections.end(); ++iter)
     {
         if ((*iter)->HasPackets())
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/cs-parameters.cc ns-3.40/src/wimax/model/cs-parameters.cc
--- ns-3.39/src/wimax/model/cs-parameters.cc	2023-07-05 14:23:48.133428300 -0700
+++ ns-3.40/src/wimax/model/cs-parameters.cc	2023-09-27 13:30:37.930839800 -0700
@@ -37,7 +37,7 @@
     NS_ASSERT_MSG(tlv.GetType() == SfVectorTlvValue::IPV4_CS_Parameters, "Invalid TLV");
     CsParamVectorTlvValue* param = ((CsParamVectorTlvValue*)(tlv.PeekValue()));
 
-    for (std::vector<Tlv*>::const_iterator iter = param->Begin(); iter != param->End(); ++iter)
+    for (auto iter = param->Begin(); iter != param->End(); ++iter)
     {
         switch ((*iter)->GetType())
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/ipcs-classifier-record.cc ns-3.40/src/wimax/model/ipcs-classifier-record.cc
--- ns-3.39/src/wimax/model/ipcs-classifier-record.cc	2023-07-05 14:23:48.133428300 -0700
+++ ns-3.40/src/wimax/model/ipcs-classifier-record.cc	2023-09-27 13:30:37.930839800 -0700
@@ -62,7 +62,7 @@
     m_tosHigh = 0;
     m_tosMask = 0;
     m_cid = 0;
-    for (std::vector<Tlv*>::const_iterator iter = rules->Begin(); iter != rules->End(); ++iter)
+    for (auto iter = rules->Begin(); iter != rules->End(); ++iter)
     {
         switch ((*iter)->GetType())
         {
@@ -75,49 +75,40 @@
             break;
         }
         case ClassificationRuleVectorTlvValue::Protocol: {
-            ProtocolTlvValue* list = (ProtocolTlvValue*)(*iter)->PeekValue();
-            for (std::vector<uint8_t>::const_iterator iter2 = list->Begin(); iter2 != list->End();
-                 ++iter2)
+            auto list = (ProtocolTlvValue*)(*iter)->PeekValue();
+            for (auto iter2 = list->Begin(); iter2 != list->End(); ++iter2)
             {
                 AddProtocol(*iter2);
             }
             break;
         }
         case ClassificationRuleVectorTlvValue::IP_src: {
-            Ipv4AddressTlvValue* list = (Ipv4AddressTlvValue*)(*iter)->PeekValue();
-            for (std::vector<Ipv4AddressTlvValue::Ipv4Addr>::const_iterator iter2 = list->Begin();
-                 iter2 != list->End();
-                 ++iter2)
+            auto list = (Ipv4AddressTlvValue*)(*iter)->PeekValue();
+            for (auto iter2 = list->Begin(); iter2 != list->End(); ++iter2)
             {
                 AddSrcAddr((*iter2).Address, (*iter2).Mask);
             }
             break;
         }
         case ClassificationRuleVectorTlvValue::IP_dst: {
-            Ipv4AddressTlvValue* list = (Ipv4AddressTlvValue*)(*iter)->PeekValue();
-            for (std::vector<Ipv4AddressTlvValue::Ipv4Addr>::const_iterator iter2 = list->Begin();
-                 iter2 != list->End();
-                 ++iter2)
+            auto list = (Ipv4AddressTlvValue*)(*iter)->PeekValue();
+            for (auto iter2 = list->Begin(); iter2 != list->End(); ++iter2)
             {
                 AddDstAddr((*iter2).Address, (*iter2).Mask);
             }
             break;
         }
         case ClassificationRuleVectorTlvValue::Port_src: {
-            PortRangeTlvValue* list = (PortRangeTlvValue*)(*iter)->PeekValue();
-            for (std::vector<PortRangeTlvValue::PortRange>::const_iterator iter2 = list->Begin();
-                 iter2 != list->End();
-                 ++iter2)
+            auto list = (PortRangeTlvValue*)(*iter)->PeekValue();
+            for (auto iter2 = list->Begin(); iter2 != list->End(); ++iter2)
             {
                 AddSrcPortRange((*iter2).PortLow, (*iter2).PortHigh);
             }
             break;
         }
         case ClassificationRuleVectorTlvValue::Port_dst: {
-            PortRangeTlvValue* list = (PortRangeTlvValue*)(*iter)->PeekValue();
-            for (std::vector<PortRangeTlvValue::PortRange>::const_iterator iter2 = list->Begin();
-                 iter2 != list->End();
-                 ++iter2)
+            auto list = (PortRangeTlvValue*)(*iter)->PeekValue();
+            for (auto iter2 = list->Begin(); iter2 != list->End(); ++iter2)
             {
                 AddDstPortRange((*iter2).PortLow, (*iter2).PortHigh);
             }
@@ -236,8 +227,7 @@
 bool
 IpcsClassifierRecord::CheckMatchSrcAddr(Ipv4Address srcAddress) const
 {
-    for (std::vector<Ipv4Addr>::const_iterator iter = m_srcAddr.begin(); iter != m_srcAddr.end();
-         ++iter)
+    for (auto iter = m_srcAddr.begin(); iter != m_srcAddr.end(); ++iter)
     {
         NS_LOG_INFO("src addr check match: pkt=" << srcAddress << " cls=" << (*iter).Address << "/"
                                                  << (*iter).Mask);
@@ -253,8 +243,7 @@
 bool
 IpcsClassifierRecord::CheckMatchDstAddr(Ipv4Address dstAddress) const
 {
-    for (std::vector<Ipv4Addr>::const_iterator iter = m_dstAddr.begin(); iter != m_dstAddr.end();
-         ++iter)
+    for (auto iter = m_dstAddr.begin(); iter != m_dstAddr.end(); ++iter)
     {
         NS_LOG_INFO("dst addr check match: pkt=" << dstAddress << " cls=" << (*iter).Address << "/"
                                                  << (*iter).Mask);
@@ -270,9 +259,7 @@
 bool
 IpcsClassifierRecord::CheckMatchSrcPort(uint16_t port) const
 {
-    for (std::vector<PortRange>::const_iterator iter = m_srcPortRange.begin();
-         iter != m_srcPortRange.end();
-         ++iter)
+    for (auto iter = m_srcPortRange.begin(); iter != m_srcPortRange.end(); ++iter)
     {
         NS_LOG_INFO("src port check match: pkt=" << port << " cls= [" << (*iter).PortLow << " TO "
                                                  << (*iter).PortHigh << "]");
@@ -288,9 +275,7 @@
 bool
 IpcsClassifierRecord::CheckMatchDstPort(uint16_t port) const
 {
-    for (std::vector<PortRange>::const_iterator iter = m_dstPortRange.begin();
-         iter != m_dstPortRange.end();
-         ++iter)
+    for (auto iter = m_dstPortRange.begin(); iter != m_dstPortRange.end(); ++iter)
     {
         NS_LOG_INFO("dst port check match: pkt=" << port << " cls= [" << (*iter).PortLow << " TO "
                                                  << (*iter).PortHigh << "]");
@@ -306,8 +291,7 @@
 bool
 IpcsClassifierRecord::CheckMatchProtocol(uint8_t proto) const
 {
-    for (std::vector<uint8_t>::const_iterator iter = m_protocol.begin(); iter != m_protocol.end();
-         ++iter)
+    for (auto iter = m_protocol.begin(); iter != m_protocol.end(); ++iter)
     {
         NS_LOG_INFO("proto check match: pkt=" << (uint16_t)proto << " cls=" << (uint16_t)proto);
         if (proto == (*iter))
@@ -334,38 +318,31 @@
 IpcsClassifierRecord::ToTlv() const
 {
     Ipv4AddressTlvValue ipv4AddrValSrc;
-    for (std::vector<Ipv4Addr>::const_iterator iter = m_srcAddr.begin(); iter != m_srcAddr.end();
-         ++iter)
+    for (auto iter = m_srcAddr.begin(); iter != m_srcAddr.end(); ++iter)
     {
         ipv4AddrValSrc.Add((*iter).Address, (*iter).Mask);
     }
 
     Ipv4AddressTlvValue ipv4AddrValDst;
-    for (std::vector<Ipv4Addr>::const_iterator iter = m_dstAddr.begin(); iter != m_dstAddr.end();
-         ++iter)
+    for (auto iter = m_dstAddr.begin(); iter != m_dstAddr.end(); ++iter)
     {
         ipv4AddrValDst.Add((*iter).Address, (*iter).Mask);
     }
 
     ProtocolTlvValue protoVal;
-    for (std::vector<uint8_t>::const_iterator iter = m_protocol.begin(); iter != m_protocol.end();
-         ++iter)
+    for (auto iter = m_protocol.begin(); iter != m_protocol.end(); ++iter)
     {
         protoVal.Add((*iter));
     }
 
     PortRangeTlvValue portValueSrc;
-    for (std::vector<PortRange>::const_iterator iter = m_srcPortRange.begin();
-         iter != m_srcPortRange.end();
-         ++iter)
+    for (auto iter = m_srcPortRange.begin(); iter != m_srcPortRange.end(); ++iter)
     {
         portValueSrc.Add((*iter).PortLow, (*iter).PortHigh);
     }
 
     PortRangeTlvValue portValueDst;
-    for (std::vector<PortRange>::const_iterator iter = m_dstPortRange.begin();
-         iter != m_dstPortRange.end();
-         ++iter)
+    for (auto iter = m_dstPortRange.begin(); iter != m_dstPortRange.end(); ++iter)
     {
         portValueDst.Add((*iter).PortLow, (*iter).PortHigh);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/service-flow.cc ns-3.40/src/wimax/model/service-flow.cc
--- ns-3.39/src/wimax/model/service-flow.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/service-flow.cc	2023-09-27 13:30:37.930839800 -0700
@@ -73,7 +73,7 @@
 {
     InitValues();
     m_connection = nullptr;
-    m_isEnabled = 0;
+    m_isEnabled = false;
     m_record = new ServiceFlowRecord();
     NS_ASSERT_MSG(tlv.GetType() == Tlv::UPLINK_SERVICE_FLOW ||
                       tlv.GetType() == Tlv::DOWNLINK_SERVICE_FLOW,
@@ -91,7 +91,7 @@
         m_direction = SF_DIRECTION_DOWN;
     }
 
-    for (std::vector<Tlv*>::const_iterator iter = param->Begin(); iter != param->End(); ++iter)
+    for (auto iter = param->Begin(); iter != param->End(); ++iter)
     {
         switch ((*iter)->GetType())
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/service-flow-manager.cc ns-3.40/src/wimax/model/service-flow-manager.cc
--- ns-3.39/src/wimax/model/service-flow-manager.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/service-flow-manager.cc	2023-09-27 13:30:37.930839800 -0700
@@ -68,9 +68,7 @@
 void
 ServiceFlowManager::DoDispose()
 {
-    for (std::vector<ServiceFlow*>::iterator iter = m_serviceFlows->begin();
-         iter != m_serviceFlows->end();
-         ++iter)
+    for (auto iter = m_serviceFlows->begin(); iter != m_serviceFlows->end(); ++iter)
     {
         delete (*iter);
     }
@@ -92,9 +90,7 @@
                                uint8_t proto,
                                ServiceFlow::Direction dir) const
 {
-    for (std::vector<ServiceFlow*>::iterator iter = m_serviceFlows->begin();
-         iter != m_serviceFlows->end();
-         ++iter)
+    for (auto iter = m_serviceFlows->begin(); iter != m_serviceFlows->end(); ++iter)
     {
         if ((*iter)->GetDirection() == dir)
         {
@@ -110,9 +106,7 @@
 ServiceFlow*
 ServiceFlowManager::GetServiceFlow(uint32_t sfid) const
 {
-    for (std::vector<ServiceFlow*>::iterator iter = m_serviceFlows->begin();
-         iter != m_serviceFlows->end();
-         ++iter)
+    for (auto iter = m_serviceFlows->begin(); iter != m_serviceFlows->end(); ++iter)
     {
         if ((*iter)->GetSfid() == sfid)
         {
@@ -127,9 +121,7 @@
 ServiceFlow*
 ServiceFlowManager::GetServiceFlow(Cid cid) const
 {
-    for (std::vector<ServiceFlow*>::iterator iter = m_serviceFlows->begin();
-         iter != m_serviceFlows->end();
-         ++iter)
+    for (auto iter = m_serviceFlows->begin(); iter != m_serviceFlows->end(); ++iter)
     {
         if ((*iter)->GetCid() == cid.GetIdentifier())
         {
@@ -145,9 +137,7 @@
 ServiceFlowManager::GetServiceFlows(ServiceFlow::SchedulingType schedulingType) const
 {
     std::vector<ServiceFlow*> tmpServiceFlows;
-    for (std::vector<ServiceFlow*>::iterator iter = m_serviceFlows->begin();
-         iter != m_serviceFlows->end();
-         ++iter)
+    for (auto iter = m_serviceFlows->begin(); iter != m_serviceFlows->end(); ++iter)
     {
         if (((*iter)->GetSchedulingType() == schedulingType) ||
             (schedulingType == ServiceFlow::SF_TYPE_ALL))
@@ -173,9 +163,7 @@
 bool
 ServiceFlowManager::AreServiceFlowsAllocated(std::vector<ServiceFlow*> serviceFlowVector)
 {
-    for (std::vector<ServiceFlow*>::const_iterator iter = serviceFlowVector.begin();
-         iter != serviceFlowVector.end();
-         ++iter)
+    for (auto iter = serviceFlowVector.begin(); iter != serviceFlowVector.end(); ++iter)
     {
         if (!(*iter)->GetIsEnabled())
         {
@@ -188,8 +176,7 @@
 ServiceFlow*
 ServiceFlowManager::GetNextServiceFlowToAllocate()
 {
-    std::vector<ServiceFlow*>::iterator iter;
-    for (iter = m_serviceFlows->begin(); iter != m_serviceFlows->end(); ++iter)
+    for (auto iter = m_serviceFlows->begin(); iter != m_serviceFlows->end(); ++iter)
     {
         if (!(*iter)->GetIsEnabled())
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/simple-ofdm-send-param.cc ns-3.40/src/wimax/model/simple-ofdm-send-param.cc
--- ns-3.39/src/wimax/model/simple-ofdm-send-param.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/simple-ofdm-send-param.cc	2023-09-27 13:30:37.930839800 -0700
@@ -29,7 +29,7 @@
 {
     // m_fecBlock = 0;
     m_burstSize = 0;
-    m_isFirstBlock = 0;
+    m_isFirstBlock = false;
     m_frequency = 0;
     m_modulationType = WimaxPhy::MODULATION_TYPE_QPSK_12;
     m_direction = 0;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/wimax/model/simple-ofdm-wimax-channel.cc ns-3.40/src/wimax/model/simple-ofdm-wimax-channel.cc
--- ns-3.39/src/wimax/model/simple-ofdm-wimax-channel.cc	2023-07-05 14:23:48.137428500 -0700
+++ ns-3.40/src/wimax/model/simple-ofdm-wimax-channel.cc	2023-09-27 13:30:37.930839800 -0700
@@ -128,9 +128,7 @@
 SimpleOfdmWimaxChannel::DoGetDevice(std::size_t index) const
 {
     std::size_t j = 0;
-    for (std::list<Ptr<SimpleOfdmWimaxPhy>>::const_iterator iter = m_phyList.begin();
-         iter != m_phyList.end();
-         ++iter)
+    for (auto iter = m_phyList.begin(); iter != m_phyList.end(); ++iter)
     {
         if (j == index)
         {
@@ -160,9 +158,7 @@
     Ptr<MobilityModel> receiverMobility = nullptr;
     senderMobility = phy->GetDevice()->GetNode()->GetObject<MobilityModel>();
     SimpleOfdmSendParam* param;
-    for (std::list<Ptr<SimpleOfdmWimaxPhy>>::iterator iter = m_phyList.begin();
-         iter != m_phyList.end();
-         ++iter)
+    for (auto iter = m_phyList.begin(); iter != m_phyList.end(); ++iter)
     {
         Time delay = Seconds(0);
         if (phy != *iter)
@@ -220,8 +216,7 @@
 SimpleOfdmWimaxChannel::AssignStreams(int64_t stream)
 {
     int64_t currentStream = stream;
-    typedef std::list<Ptr<SimpleOfdmWimaxPhy>> PhyList;
-    for (PhyList::const_iterator i = m_phyList.begin(); i != m_phyList.end(); i++)
+    for (auto i = m_phyList.begin(); i != m_phyList.end(); i++)
     {
         Ptr<SimpleOfdmWimaxPhy> simpleOfdm = (*i);
         currentStream += simpleOfdm->AssignStreams(currentStream);
